Skip to content
API Reference
Data model

Properties

Properties in Prism — Micro Python reference.

Reference for Python SDK 0.8.0.

Release source · Setup and client configuration

list

GET /v2/prism/{teamId}/{objectType}/properties

client.prism.properties.list(object_type, *, team_id, **params) -> PropertyListResponse

Get metadata properties by object type

list_all

GET /v2/prism/{teamId}/properties

client.prism.properties.list_all(*, team_id, **params) -> PropertyListAllResponse

Get metadata properties

Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

PropertyListParams

Source

FieldTypeRequiredDescription
team_idstrNoAPI name: teamId.
autofillboolNo
list_idstrNoScope properties to a specific list/app.
termstrNo

PropertyListResponse

Source

PropertyListResponse = Dict[str, object]

PropertyListAllParams

Source

FieldTypeRequiredDescription
team_idstrNoAPI name: teamId.
autofillboolNo
list_idstrNoScope properties to a specific list/app.
termstrNo

PropertyListAllResponse

Source

PropertyListAllResponse = Dict[str, object]

micro.so